Package org.bukkit.help

# Class GenericCommandHelpTopic

java.lang.Object
org.bukkit.help.HelpTopic
org.bukkit.help.GenericCommandHelpTopic

public class GenericCommandHelpTopic extends HelpTopic
Lacking an alternative, the help system will create instances of GenericCommandHelpTopic for each command in the server's CommandMap. You can use this class as a base class for custom help topics, or as an example for how to write your own.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Command`
`command`

### Fields inherited from class org.bukkit.help.HelpTopic

`amendedPermission, fullText, name, shortText`

## Constructor Summary

Constructors
Constructor
Description
`GenericCommandHelpTopic(@NotNull Command command)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canSee(@NotNull CommandSender sender)`
Determines if a `Player` is allowed to see this help topic.

### Methods inherited from class org.bukkit.help.HelpTopic

`amendCanSee, amendTopic, applyAmendment, getFullText, getName, getShortText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### command

protected Command command

## Constructor Details

### GenericCommandHelpTopic

public GenericCommandHelpTopic(@NotNull @NotNull Command command)

## Method Details

### canSee

public boolean canSee(@NotNull @NotNull CommandSender sender)
Description copied from class: `HelpTopic`
Determines if a `Player` is allowed to see this help topic.

HelpTopic implementations should take server administrator wishes into account as set by the `HelpTopic.amendCanSee(String)` function.

Specified by:
  `canSee` in class `HelpTopic`
Parameters:
  `sender` - The Player in question.
Returns:
  True of the Player can see this help topic, false otherwise.